Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.RawTaggedData Class Reference

A raw binary tagged value. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.RawTaggedData:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Zip.RawTaggedData:
[legend]

## Public Member Functions
| RawTaggedData (short tag)
| Initialise a new instance.
void | SetData (byte[] data, int offset, int count)
| Set the data from the raw values provided.
byte[] | GetData ()
| Get the binary data representing this instance.

## Properties
short | TagID`[get, set]`
| Get the ID for this tagged data value.
byte[] | Data`[get, set]`
| Get /set the binary data representing this instance.

## Private Attributes
short | _tag
| The tag ID for this instance.
byte[] | _data

## Detailed Description

A raw binary tagged value.

## Constructor & Destructor Documentation

## ◆ RawTaggedData()

ICSharpCode.SharpZipLib.Zip.RawTaggedData.RawTaggedData | ( | short | tag | ) |

Initialise a new instance.

Parameters

  tag | The tag ID.

## Member Function Documentation

## ◆ GetData()

byte[] ICSharpCode.SharpZipLib.Zip.RawTaggedData.GetData | ( |  | ) |

Get the binary data representing this instance.

Returns
  The raw binary data representing this instance.

Implements ICSharpCode.SharpZipLib.Zip.ITaggedData.

## ◆ SetData()

void ICSharpCode.SharpZipLib.Zip.RawTaggedData.SetData | ( | byte[] | data,
|  | int | offset,
|  | int | count )

Set the data from the raw values provided.

Parameters

  data | The raw data to extract values from.
  offset | The index to start extracting values from.
  count | The number of bytes available.

Implements ICSharpCode.SharpZipLib.Zip.ITaggedData.

## Member Data Documentation

## ◆ _data

byte [] ICSharpCode.SharpZipLib.Zip.RawTaggedData._data
| private

## ◆ _tag

short ICSharpCode.SharpZipLib.Zip.RawTaggedData._tag
| private

The tag ID for this instance.

## Property Documentation

## ◆ Data

byte [] ICSharpCode.SharpZipLib.Zip.RawTaggedData.Data
| get set

Get /set the binary data representing this instance.

Returns
  The raw binary data representing this instance.

## ◆ TagID

short ICSharpCode.SharpZipLib.Zip.RawTaggedData.TagID
| get set

Get the ID for this tagged data value.

Implements ICSharpCode.SharpZipLib.Zip.ITaggedData.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipExtraData.cs